Skip to main content
PUT
/
api
/
v1
/
patients
/
{id}
curl -X PUT "https://api.nevatal.com/api/v1/patients/pat_abc123" \
  -H "Authorization: Bearer nvtl_your_api_key" \
  -H "Content-Type: application/json" \
  -d '{
    "email": "maria.garcia@newdomain.com",
    "phone": "+573009999999"
  }'
{
  "id": "pat_abc123",
  "firstName": "María",
  "lastName": "García",
  "email": "maria.garcia@newdomain.com",
  "phone": "+573009999999",
  "documentType": "CC",
  "documentNumber": "1234567890",
  "updatedAt": "2025-03-16T14:00:00Z"
}

Path Parameters

id
string
required
The patient ID

Body Parameters

All fields are optional. Only include the fields you want to update.
firstName
string
Patient’s first name
lastName
string
Patient’s last name
email
string
Email address
phone
string
Phone number with country code
dateOfBirth
string
Date of birth (YYYY-MM-DD)
gender
string
Gender: male, female, other
address
object
Patient address object
curl -X PUT "https://api.nevatal.com/api/v1/patients/pat_abc123" \
  -H "Authorization: Bearer nvtl_your_api_key" \
  -H "Content-Type: application/json" \
  -d '{
    "email": "maria.garcia@newdomain.com",
    "phone": "+573009999999"
  }'
{
  "id": "pat_abc123",
  "firstName": "María",
  "lastName": "García",
  "email": "maria.garcia@newdomain.com",
  "phone": "+573009999999",
  "documentType": "CC",
  "documentNumber": "1234567890",
  "updatedAt": "2025-03-16T14:00:00Z"
}